summaryrefslogtreecommitdiffstats
path: root/ubuntu/_base/tdenetwork/debian/ktalkd-trinity.postrm
diff options
context:
space:
mode:
authorMichele Calgaro <michele.calgaro@yahoo.it>2019-04-03 23:02:46 +0900
committerMichele Calgaro <michele.calgaro@yahoo.it>2019-04-03 23:02:46 +0900
commitfcad8b8d150fb9f508973e3044a103de74ec3877 (patch)
treeca34a8cf3bfbe08335d40c47863b4901e1d19609 /ubuntu/_base/tdenetwork/debian/ktalkd-trinity.postrm
parent5d8ed1fab813d86b04383f7fcf8ab2c994cbea30 (diff)
downloadtde-packaging-fcad8b8d150fb9f508973e3044a103de74ec3877.tar.gz
tde-packaging-fcad8b8d150fb9f508973e3044a103de74ec3877.zip
DEB: use _base folder for a distro instead of specific distros (squeeze and maverick).
Signed-off-by: Michele Calgaro <michele.calgaro@yahoo.it>
Diffstat (limited to 'ubuntu/_base/tdenetwork/debian/ktalkd-trinity.postrm')
-rw-r--r--ubuntu/_base/tdenetwork/debian/ktalkd-trinity.postrm34
1 files changed, 34 insertions, 0 deletions
diff --git a/ubuntu/_base/tdenetwork/debian/ktalkd-trinity.postrm b/ubuntu/_base/tdenetwork/debian/ktalkd-trinity.postrm
new file mode 100644
index 000000000..6c2b34cdc
--- /dev/null
+++ b/ubuntu/_base/tdenetwork/debian/ktalkd-trinity.postrm
@@ -0,0 +1,34 @@
+#! /bin/sh
+# postrm script for ktalkd
+#
+# see: dh_installdeb(1)
+
+set -e
+
+remove_talk() {
+ if [ -x /usr/sbin/update-inetd ]
+ then
+ /usr/sbin/update-inetd --remove 'talk[ \t].*[ \t]/usr/sbin/ktalkd'
+ /usr/sbin/update-inetd --remove 'ntalk[ \t].*[ \t]/usr/sbin/ktalkd'
+ fi
+}
+
+case "$1" in
+ purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ remove_talk
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+